## org.apache.solr.client.solrj.response
Class SpellCheckResponse.Suggestion

    java.lang.Object
      org.apache.solr.client.solrj.response.SpellCheckResponse.Suggestion

Enclosing class:
  SpellCheckResponse

    public static class SpellCheckResponse.Suggestion

extends Object

Constructor Summary
`SpellCheckResponse.Suggestion(String token, NamedList<Object> suggestion)`

Method Summary
`List<Integer>` `getAlternativeFrequencies()` The frequencies of the alternatives in the corpus, or null if this information was not returned
`List<String>` `getAlternatives()` The list of alternatives
`int` `getEndOffset()`
`int` `getNumFound()`
`int` `getOriginalFrequency()`
`int` `getStartOffset()`
`List<Integer>` `getSuggestionFrequencies()` Deprecated.
`List<String>` `getSuggestions()` Deprecated.
`String` `getToken()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellCheckResponse.Suggestion

    public SpellCheckResponse.Suggestion(String token,
                                         NamedList<Object> suggestion)

Method Detail

### getToken

    public String getToken()

### getNumFound

    public int getNumFound()

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### getOriginalFrequency

    public int getOriginalFrequency()

### getAlternatives

    public List<String> getAlternatives()

  The list of alternatives

### getAlternativeFrequencies

    public List<Integer> getAlternativeFrequencies()

  The frequencies of the alternatives in the corpus, or null if this information was not returned

### getSuggestions

    @Deprecated
    public List<String> getSuggestions()

  Deprecated.

### getSuggestionFrequencies

    @Deprecated
    public List<Integer> getSuggestionFrequencies()

  Deprecated.

Copyright © 2010 Apache Software Foundation. All Rights Reserved.